TextFormat.UnknownFieldParseException
Date: 2017-07-08

com.google.protobuf

## Class TextFormat.UnknownFieldParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.protobuf.TextFormat.ParseException
        - - com.google.protobuf.TextFormat.UnknownFieldParseException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    TextFormat

      public static class TextFormat.UnknownFieldParseException
      extends TextFormat.ParseException

  Thrown when encountering an unknown field while parsing a text format message.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextFormat.UnknownFieldParseException(int line, int column, java.lang.String unknownField, java.lang.String message)` Create a new instance
    `TextFormat.UnknownFieldParseException(java.lang.String message)` Create a new instance, with -1 as the line and column numbers, and an empty unknown field name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUnknownField()` Return the name of the unknown field encountered while parsing the protocol buffer string.

    - ### Methods inherited from class com.google.protobuf.TextFormat.ParseException

      `getColumn, getLine`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextFormat.UnknownFieldParseException

          public TextFormat.UnknownFieldParseException(java.lang.String message)

      Create a new instance, with -1 as the line and column numbers, and an empty unknown field name.

    - #### TextFormat.UnknownFieldParseException

          public TextFormat.UnknownFieldParseException(int line,
                                               int column,
                                               java.lang.String unknownField,
                                               java.lang.String message)

      Create a new instance
      Parameters:
        `line` - the line number where the parse error occurred, using 1-offset.
        `column` - the column number where the parser error occurred, using 1-offset.
        `unknownField` - the name of the unknown field found while parsing.

  - ### Method Detail

    - #### getUnknownField

          public java.lang.String getUnknownField()

      Return the name of the unknown field encountered while parsing the protocol buffer string.